Naar inhoud springen

MediaWiki:Vector-2022.css

Uit KB Van Loenhout

Opmerking: na het publiceren moet je misschien je browsercache legen om de veranderingen te zien.

  • Firefox / Safari: houd Shift ingedrukt terwijl u:je op Vernieuwen klikt of druk op Ctrl-F5 of Ctrl-R (⌘-Shift-R op een Mac)
  • Google Chrome: druk op Ctrl-Shift-R (⌘-Shift-R op een Mac)
  • Edge: houd Ctrl ingedrukt terwijl u:je op Vernieuwen klikt of druk op Ctrl-F5.
#vector-main-menu .mw-portlet > .vector-menu-heading > .menu-btn {
    width: 12px;
    height: 16px;
    float: right;
    content: '';
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url(https://upload.wikimedia.org/wikipedia/commons/thumb/7/73/Font_Awesome_5_solid_chevron-down.svg/120px-Font_Awesome_5_solid_chevron-down.svg.png);
    opacity: 0.6;
}
#vector-main-menu .mw-portlet > .vector-menu-heading {
    cursor: pointer !important;
}
#vector-main-menu .mw-portlet:has(.vector-menu-content.show) .menu-btn {
    background-image: url(https://upload.wikimedia.org/wikipedia/commons/thumb/6/6b/Font_Awesome_5_solid_chevron-up.svg/120px-Font_Awesome_5_solid_chevron-up.svg.png);
}
.vector-menu-content.collapse {
    display: none;
}
.vector-menu-content.collapse.show {
    display: block;
}

/* The following part simply inverts the menu button appropriately on Vector's built-in Dark Mode */
html.skin-theme-clientpref-night #vector-main-menu .mw-portlet > .vector-menu-heading > .menu-btn {
    -moz-filter: brightness(1) invert(1);
    -webkit-filter: brightness(1) invert(1);
    filter: brightness(1) invert(1);
}
@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os #vector-main-menu .mw-portlet > .vector-menu-heading > .menu-btn {
        -moz-filter: brightness(1) invert(1);
        -webkit-filter: brightness(1) invert(1);
        filter: brightness(1) invert(1);
	}
}